Package Details: php73 7.3.33-7

Git Clone URL: https://aur.archlinux.org/php73.git (read-only, click to copy)
Package Base: php73
Description: PHP. A general-purpose scripting language that is especially suited to web development
Upstream URL: http://www.php.net
Licenses: PHP
Submitter: matth
Maintainer: matth (el_aur)
Last Packager: el_aur
Votes: 10
Popularity: 0.058685
First Submitted: 2019-12-24 17:08 (UTC)
Last Updated: 2022-02-18 11:55 (UTC)

Pinned Comments

el_aur commented on 2022-02-02 09:14 (UTC) (edited on 2022-02-04 11:29 (UTC) by el_aur)

Created binary repository on build.opensuse.org

https://build.opensuse.org/project/show/home:el:archphp

For Arch Linux, edit /etc/pacman.conf and add the following (note that the order of repositories in pacman.conf is important, since pacman always downloads the first found package):

[home_el_archphp_Arch]
Server = https://download.opensuse.org/repositories/home:/el:/archphp/Arch/$arch

Then run the following as root

key=$(curl -fsSL https://download.opensuse.org/repositories/home:el:archphp/Arch/$(uname -m)/home_el_archphp_Arch.key)
fingerprint=$(gpg --quiet --with-colons --import-options show-only --import --fingerprint <<< "${key}" | awk -F: '$1 == "fpr" { print $10 }')
pacman-key --init
pacman-key --add - <<< "${key}"
pacman-key --lsign-key "${fingerprint}"

Refresh packages database

pacman -Syy

Now search for php packages you need:

pacman -Ss php73

Install with pacman -S packages you need or all PHP 7.3 packages with:

sudo pacman -S $(pacman -Ssq | grep '^php73')

el_aur commented on 2022-01-27 12:08 (UTC) (edited on 2022-01-27 15:18 (UTC) by el_aur)

Read Carefully! Breaking changes in compare with native PHP package

  1. Console version /usr/bin/php73 is installed with php73-cli subpackage, php73 doesn't include it anymore!!!

  2. PEAR and PECL are available as php73-pear and php73-pecl subpackages

  3. All shared modules are respresented as stand-alone subpackages and are not included with php73 package anymore.

  4. No more extensions in php.ini itself!

Separate INI files for each extension are placed in /etc/php73/conf.d

They are loaded in correct order according to priority

Latest Comments

tpreissler commented on 2022-02-04 12:44 (UTC)

Thank you very much, el_aur.

It was my system: Problem 1: I had changed this php73 PKGBUILD to 'provide 'php'' and forgot about it that it was still installed. Problem 2: /usr/bin/php was a symlink to /usr/bin/php73, hence installation failed.

In short, after undoing/fixing the above I was successful in installing this PKGBUILD - unchanged - just fine. composer has pulled in php8.1.2, which is fine.

All working for me. Thanks again for your time and effort in getting to the bottom of this.

el_aur commented on 2022-02-03 20:57 (UTC) (edited on 2022-02-03 20:59 (UTC) by el_aur)

@tpreissler composer is not supported. It requires mainline /usr/bin/php. phpXX packages are not providing it. Tried to install composer from of repo - it's installing php mainline package as dependency. It doesn't break any dependencies on clean system. Have all packages installed btw

$ pacman -Q | grep -E '(php|composer)' | grep -v phpstorm
composer 2.2.5-1
php 8.1.2-1
php53 5.3.29-15
php53-apache 5.3.29-15
php53-bcmath 5.3.29-15
php53-bz2 5.3.29-15
php53-calendar 5.3.29-15
php53-cgi 5.3.29-15
php53-cli 5.3.29-15
php53-ctype 5.3.29-15
php53-curl 5.3.29-15
php53-dba 5.3.29-15
php53-dblib 5.3.29-15
php53-dom 5.3.29-15
php53-embed 5.3.29-15
php53-enchant 5.3.29-15
php53-exif 5.3.29-15
php53-fileinfo 5.3.29-15
php53-firebird 5.3.29-15
php53-fpm 5.3.29-15
php53-ftp 5.3.29-15
php53-gd 5.3.29-15
php53-gettext 5.3.29-15
php53-gmp 5.3.29-15
php53-iconv 5.3.29-15
php53-imagick 3.7.0-1
php53-imap 5.3.29-15
php53-interbase 5.3.29-15
php53-intl 5.3.29-15
php53-json 5.3.29-15
php53-ldap 5.3.29-15
php53-mbstring 5.3.29-15
php53-mcrypt 5.3.29-15
php53-mssql 5.3.29-15
php53-mysql 5.3.29-15
php53-odbc 5.3.29-15
php53-pcntl 5.3.29-15
php53-pear 5.3.29-15
php53-pecl 5.3.29-15
php53-pgsql 5.3.29-15
php53-phar 5.3.29-15
php53-posix 5.3.29-15
php53-pspell 5.3.29-15
php53-recode 5.3.29-15
php53-redis 4.3.0-1
php53-shmop 5.3.29-15
php53-simplexml 5.3.29-15
php53-snmp 5.3.29-15
php53-soap 5.3.29-15
php53-sockets 5.3.29-15
php53-sqlite 5.3.29-15
php53-sysvmsg 5.3.29-15
php53-sysvsem 5.3.29-15
php53-sysvshm 5.3.29-15
php53-tidy 5.3.29-15
php53-tokenizer 5.3.29-15
php53-wddx 5.3.29-15
php53-xdebug 2.2.7-1
php53-xml 5.3.29-15
php53-xmlreader 5.3.29-15
php53-xmlrpc 5.3.29-15
php53-xmlwriter 5.3.29-15
php53-xsl 5.3.29-15
php53-zip 5.3.29-15
php54 5.4.45-5
php54-apache 5.4.45-5
php54-bcmath 5.4.45-5
php54-bz2 5.4.45-5
php54-calendar 5.4.45-5
php54-cgi 5.4.45-5
php54-cli 5.4.45-5
php54-ctype 5.4.45-5
php54-curl 5.4.45-5
php54-dba 5.4.45-5
php54-dblib 5.4.45-5
php54-dom 5.4.45-5
php54-embed 5.4.45-5
php54-enchant 5.4.45-5
php54-exif 5.4.45-5
php54-fileinfo 5.4.45-5
php54-firebird 5.4.45-5
php54-fpm 5.4.45-5
php54-ftp 5.4.45-5
php54-gd 5.4.45-5
php54-gettext 5.4.45-5
php54-gmp 5.4.45-5
php54-iconv 5.4.45-5
php54-imagick 3.7.0-1
php54-imap 5.4.45-5
php54-interbase 5.4.45-5
php54-intl 5.4.45-5
php54-json 5.4.45-5
php54-ldap 5.4.45-5
php54-mbstring 5.4.45-5
php54-mcrypt 5.4.45-5
php54-mssql 5.4.45-5
php54-mysql 5.4.45-5
php54-odbc 5.4.45-5
php54-pcntl 5.4.45-5
php54-pdo 5.4.45-5
php54-pear 5.4.45-5
php54-pecl 5.4.45-5
php54-pgsql 5.4.45-5
php54-phar 5.4.45-5
php54-posix 5.4.45-5
php54-pspell 5.4.45-5
php54-recode 5.4.45-5
php54-redis 4.3.0-1
php54-shmop 5.4.45-5
php54-simplexml 5.4.45-5
php54-snmp 5.4.45-5
php54-soap 5.4.45-5
php54-sockets 5.4.45-5
php54-sqlite 5.4.45-5
php54-sysvmsg 5.4.45-5
php54-sysvsem 5.4.45-5
php54-sysvshm 5.4.45-5
php54-tidy 5.4.45-5
php54-tokenizer 5.4.45-5
php54-wddx 5.4.45-5
php54-xdebug 2.4.1-1
php54-xml 5.4.45-5
php54-xmlreader 5.4.45-5
php54-xmlrpc 5.4.45-5
php54-xmlwriter 5.4.45-5
php54-xsl 5.4.45-5
php54-zip 5.4.45-5
php55 5.5.38-11
php55-apache 5.5.38-11
php55-bcmath 5.5.38-11
php55-bz2 5.5.38-11
php55-calendar 5.5.38-11
php55-cgi 5.5.38-11
php55-cli 5.5.38-11
php55-ctype 5.5.38-11
php55-curl 5.5.38-11
php55-dba 5.5.38-11
php55-dblib 5.5.38-11
php55-dom 5.5.38-11
php55-embed 5.5.38-11
php55-enchant 5.5.38-11
php55-exif 5.5.38-11
php55-fileinfo 5.5.38-11
php55-firebird 5.5.38-11
php55-fpm 5.5.38-11
php55-ftp 5.5.38-11
php55-gd 5.5.38-11
php55-gettext 5.5.38-11
php55-gmp 5.5.38-11
php55-iconv 5.5.38-11
php55-imagick 3.7.0-1
php55-imap 5.5.38-11
php55-interbase 5.5.38-11
php55-intl 5.5.38-11
php55-json 5.5.38-11
php55-ldap 5.5.38-11
php55-mbstring 5.5.38-11
php55-mcrypt 5.5.38-11
php55-mssql 5.5.38-11
php55-mysql 5.5.38-11
php55-odbc 5.5.38-11
php55-opcache 5.5.38-11
php55-pcntl 5.5.38-11
php55-pdo 5.5.38-11
php55-pear 5.5.38-11
php55-pecl 5.5.38-11
php55-pgsql 5.5.38-11
php55-phar 5.5.38-11
php55-posix 5.5.38-11
php55-pspell 5.5.38-11
php55-recode 5.5.38-11
php55-redis 4.3.0-1
php55-shmop 5.5.38-11
php55-simplexml 5.5.38-11
php55-snmp 5.5.38-11
php55-soap 5.5.38-11
php55-sockets 5.5.38-11
php55-sqlite 5.5.38-11
php55-sysvmsg 5.5.38-11
php55-sysvsem 5.5.38-11
php55-sysvshm 5.5.38-11
php55-tidy 5.5.38-11
php55-tokenizer 5.5.38-11
php55-wddx 5.5.38-11
php55-xdebug 2.5.5-1
php55-xml 5.5.38-11
php55-xmlreader 5.5.38-11
php55-xmlrpc 5.5.38-11
php55-xmlwriter 5.5.38-11
php55-xsl 5.5.38-11
php55-zip 5.5.38-11
php56 5.6.40-7
php56-apache 5.6.40-7
php56-bcmath 5.6.40-7
php56-bz2 5.6.40-7
php56-calendar 5.6.40-7
php56-cgi 5.6.40-7
php56-cli 5.6.40-7
php56-ctype 5.6.40-7
php56-curl 5.6.40-7
php56-dba 5.6.40-7
php56-dblib 5.6.40-7
php56-dom 5.6.40-7
php56-embed 5.6.40-7
php56-enchant 5.6.40-7
php56-exif 5.6.40-7
php56-fileinfo 5.6.40-7
php56-firebird 5.6.40-7
php56-fpm 5.6.40-7
php56-ftp 5.6.40-7
php56-gd 5.6.40-7
php56-gettext 5.6.40-7
php56-gmp 5.6.40-7
php56-iconv 5.6.40-7
php56-imagick 3.7.0-1
php56-imap 5.6.40-7
php56-interbase 5.6.40-7
php56-intl 5.6.40-7
php56-json 5.6.40-7
php56-ldap 5.6.40-7
php56-mbstring 5.6.40-7
php56-mcrypt 5.6.40-7
php56-mssql 5.6.40-7
php56-mysql 5.6.40-7
php56-odbc 5.6.40-7
php56-opcache 5.6.40-7
php56-pcntl 5.6.40-7
php56-pdo 5.6.40-7
php56-pear 5.6.40-7
php56-pecl 5.6.40-7
php56-pgsql 5.6.40-7
php56-phar 5.6.40-7
php56-phpdbg 5.6.40-7
php56-posix 5.6.40-7
php56-pspell 5.6.40-7
php56-recode 5.6.40-7
php56-redis 4.3.0-1
php56-shmop 5.6.40-7
php56-simplexml 5.6.40-7
php56-snmp 5.6.40-7
php56-soap 5.6.40-7
php56-sockets 5.6.40-7
php56-sqlite 5.6.40-7
php56-sysvmsg 5.6.40-7
php56-sysvsem 5.6.40-7
php56-sysvshm 5.6.40-7
php56-tidy 5.6.40-7
php56-tokenizer 5.6.40-7
php56-wddx 5.6.40-7
php56-xdebug 2.5.5-1
php56-xml 5.6.40-7
php56-xmlreader 5.6.40-7
php56-xmlrpc 5.6.40-7
php56-xmlwriter 5.6.40-7
php56-xsl 5.6.40-7
php56-zip 5.6.40-7
php70 7.0.33-9
php70-apache 7.0.33-9
php70-bcmath 7.0.33-9
php70-bz2 7.0.33-9
php70-calendar 7.0.33-9
php70-cgi 7.0.33-9
php70-cli 7.0.33-9
php70-ctype 7.0.33-9
php70-curl 7.0.33-9
php70-dba 7.0.33-9
php70-dblib 7.0.33-9
php70-dom 7.0.33-9
php70-embed 7.0.33-9
php70-enchant 7.0.33-9
php70-exif 7.0.33-9
php70-fileinfo 7.0.33-9
php70-firebird 7.0.33-9
php70-fpm 7.0.33-9
php70-ftp 7.0.33-9
php70-gd 7.0.33-9
php70-gettext 7.0.33-9
php70-gmp 7.0.33-9
php70-iconv 7.0.33-9
php70-imagick 3.7.0-1
php70-imap 7.0.33-9
php70-interbase 7.0.33-9
php70-intl 7.0.33-9
php70-json 7.0.33-9
php70-ldap 7.0.33-9
php70-mbstring 7.0.33-9
php70-mcrypt 7.0.33-9
php70-mysql 7.0.33-9
php70-odbc 7.0.33-9
php70-opcache 7.0.33-9
php70-pcntl 7.0.33-9
php70-pdo 7.0.33-9
php70-pear 7.0.33-9
php70-pecl 7.0.33-9
php70-pgsql 7.0.33-9
php70-phar 7.0.33-9
php70-phpdbg 7.0.33-9
php70-posix 7.0.33-9
php70-pspell 7.0.33-9
php70-recode 7.0.33-9
php70-redis 5.3.6-1
php70-shmop 7.0.33-9
php70-simplexml 7.0.33-9
php70-snmp 7.0.33-9
php70-soap 7.0.33-9
php70-sockets 7.0.33-9
php70-sqlite 7.0.33-9
php70-sysvmsg 7.0.33-9
php70-sysvsem 7.0.33-9
php70-sysvshm 7.0.33-9
php70-tidy 7.0.33-9
php70-tokenizer 7.0.33-9
php70-wddx 7.0.33-9
php70-xdebug 2.7.2-1
php70-xml 7.0.33-9
php70-xmlreader 7.0.33-9
php70-xmlrpc 7.0.33-9
php70-xmlwriter 7.0.33-9
php70-xsl 7.0.33-9
php70-zip 7.0.33-9
php71 7.1.33-7
php71-apache 7.1.33-7
php71-bcmath 7.1.33-7
php71-bz2 7.1.33-7
php71-calendar 7.1.33-7
php71-cgi 7.1.33-7
php71-cli 7.1.33-7
php71-ctype 7.1.33-7
php71-curl 7.1.33-7
php71-dba 7.1.33-7
php71-dblib 7.1.33-7
php71-dom 7.1.33-7
php71-embed 7.1.33-7
php71-enchant 7.1.33-7
php71-exif 7.1.33-7
php71-fileinfo 7.1.33-7
php71-firebird 7.1.33-7
php71-fpm 7.1.33-7
php71-ftp 7.1.33-7
php71-gd 7.1.33-7
php71-gettext 7.1.33-7
php71-gmp 7.1.33-7
php71-iconv 7.1.33-7
php71-imagick 3.7.0-1
php71-imap 7.1.33-7
php71-interbase 7.1.33-7
php71-intl 7.1.33-7
php71-json 7.1.33-7
php71-ldap 7.1.33-7
php71-mbstring 7.1.33-7
php71-mcrypt 7.1.33-7
php71-mysql 7.1.33-7
php71-odbc 7.1.33-7
php71-opcache 7.1.33-7
php71-pcntl 7.1.33-7
php71-pdo 7.1.33-7
php71-pear 7.1.33-7
php71-pecl 7.1.33-7
php71-pgsql 7.1.33-7
php71-phar 7.1.33-7
php71-phpdbg 7.1.33-7
php71-posix 7.1.33-7
php71-pspell 7.1.33-7
php71-recode 7.1.33-7
php71-redis 5.3.6-1
php71-shmop 7.1.33-7
php71-simplexml 7.1.33-7
php71-snmp 7.1.33-7
php71-soap 7.1.33-7
php71-sockets 7.1.33-7
php71-sqlite 7.1.33-7
php71-sysvmsg 7.1.33-7
php71-sysvsem 7.1.33-7
php71-sysvshm 7.1.33-7
php71-tidy 7.1.33-7
php71-tokenizer 7.1.33-7
php71-wddx 7.1.33-7
php71-xdebug 2.9.8-1
php71-xml 7.1.33-7
php71-xmlreader 7.1.33-7
php71-xmlrpc 7.1.33-7
php71-xmlwriter 7.1.33-7
php71-xsl 7.1.33-7
php71-zip 7.1.33-7
php72 7.2.34-11
php72-apache 7.2.34-11
php72-bcmath 7.2.34-11
php72-bz2 7.2.34-11
php72-calendar 7.2.34-11
php72-cgi 7.2.34-11
php72-cli 7.2.34-11
php72-ctype 7.2.34-11
php72-curl 7.2.34-11
php72-dba 7.2.34-11
php72-dblib 7.2.34-11
php72-dom 7.2.34-11
php72-embed 7.2.34-11
php72-enchant 7.2.34-11
php72-exif 7.2.34-11
php72-fileinfo 7.2.34-11
php72-firebird 7.2.34-11
php72-fpm 7.2.34-11
php72-ftp 7.2.34-11
php72-gd 7.2.34-11
php72-gettext 7.2.34-11
php72-gmp 7.2.34-11
php72-iconv 7.2.34-11
php72-imagick 3.7.0-1
php72-imap 7.2.34-11
php72-interbase 7.2.34-11
php72-intl 7.2.34-11
php72-json 7.2.34-11
php72-ldap 7.2.34-11
php72-mbstring 7.2.34-11
php72-mysql 7.2.34-11
php72-odbc 7.2.34-11
php72-opcache 7.2.34-11
php72-pcntl 7.2.34-11
php72-pdo 7.2.34-11
php72-pear 7.2.34-11
php72-pecl 7.2.34-11
php72-pgsql 7.2.34-11
php72-phar 7.2.34-11
php72-phpdbg 7.2.34-11
php72-posix 7.2.34-11
php72-pspell 7.2.34-11
php72-recode 7.2.34-11
php72-redis 5.3.6-1
php72-shmop 7.2.34-11
php72-simplexml 7.2.34-11
php72-snmp 7.2.34-11
php72-soap 7.2.34-11
php72-sockets 7.2.34-11
php72-sodium 7.2.34-11
php72-sqlite 7.2.34-11
php72-swoole 4.8.6-1
php72-sysvmsg 7.2.34-11
php72-sysvsem 7.2.34-11
php72-sysvshm 7.2.34-11
php72-tidy 7.2.34-11
php72-tokenizer 7.2.34-11
php72-wddx 7.2.34-11
php72-xdebug 3.1.3-1
php72-xml 7.2.34-11
php72-xmlreader 7.2.34-11
php72-xmlrpc 7.2.34-11
php72-xmlwriter 7.2.34-11
php72-xsl 7.2.34-11
php72-zip 7.2.34-11
php73 7.3.33-7
php73-apache 7.3.33-7
php73-bcmath 7.3.33-7
php73-bz2 7.3.33-7
php73-calendar 7.3.33-7
php73-cgi 7.3.33-7
php73-cli 7.3.33-7
php73-ctype 7.3.33-7
php73-curl 7.3.33-7
php73-dba 7.3.33-7
php73-dblib 7.3.33-7
php73-dom 7.3.33-7
php73-embed 7.3.33-7
php73-enchant 7.3.33-7
php73-exif 7.3.33-7
php73-fileinfo 7.3.33-7
php73-firebird 7.3.33-7
php73-fpm 7.3.33-7
php73-ftp 7.3.33-7
php73-gd 7.3.33-7
php73-gettext 7.3.33-7
php73-gmp 7.3.33-7
php73-iconv 7.3.33-7
php73-imagick 3.7.0-1
php73-imap 7.3.33-7
php73-interbase 7.3.33-7
php73-intl 7.3.33-7
php73-json 7.3.33-7
php73-ldap 7.3.33-7
php73-mbstring 7.3.33-7
php73-mysql 7.3.33-7
php73-odbc 7.3.33-7
php73-opcache 7.3.33-7
php73-pcntl 7.3.33-7
php73-pdo 7.3.33-7
php73-pear 7.3.33-7
php73-pecl 7.3.33-7
php73-pgsql 7.3.33-7
php73-phar 7.3.33-7
php73-phpdbg 7.3.33-7
php73-posix 7.3.33-7
php73-pspell 7.3.33-7
php73-recode 7.3.33-7
php73-redis 5.3.6-1
php73-shmop 7.3.33-7
php73-simplexml 7.3.33-7
php73-snmp 7.3.33-7
php73-soap 7.3.33-7
php73-sockets 7.3.33-7
php73-sodium 7.3.33-7
php73-sqlite 7.3.33-7
php73-swoole 4.8.6-1
php73-sysvmsg 7.3.33-7
php73-sysvsem 7.3.33-7
php73-sysvshm 7.3.33-7
php73-tidy 7.3.33-7
php73-tokenizer 7.3.33-7
php73-wddx 7.3.33-7
php73-xdebug 3.1.3-1
php73-xml 7.3.33-7
php73-xmlreader 7.3.33-7
php73-xmlrpc 7.3.33-7
php73-xmlwriter 7.3.33-7
php73-xsl 7.3.33-7
php73-zip 7.3.33-7
php74 7.4.27-7
php74-apache 7.4.27-7
php74-bcmath 7.4.27-7
php74-bz2 7.4.27-7
php74-calendar 7.4.27-7
php74-cgi 7.4.27-7
php74-cli 7.4.27-7
php74-ctype 7.4.27-7
php74-curl 7.4.27-7
php74-dba 7.4.27-7
php74-dblib 7.4.27-7
php74-dom 7.4.27-7
php74-embed 7.4.27-7
php74-enchant 7.4.27-7
php74-exif 7.4.27-7
php74-ffi 7.4.27-7
php74-fileinfo 7.4.27-7
php74-firebird 7.4.27-7
php74-fpm 7.4.27-7
php74-ftp 7.4.27-7
php74-gd 7.4.27-7
php74-gettext 7.4.27-7
php74-gmp 7.4.27-7
php74-iconv 7.4.27-7
php74-imagick 3.7.0-1
php74-imap 7.4.27-7
php74-intl 7.4.27-7
php74-json 7.4.27-7
php74-ldap 7.4.27-7
php74-mbstring 7.4.27-7
php74-mysql 7.4.27-7
php74-odbc 7.4.27-7
php74-opcache 7.4.27-7
php74-openssl 7.4.27-7
php74-pcntl 7.4.27-7
php74-pdo 7.4.27-7
php74-pear 7.4.27-7
php74-pecl 7.4.27-7
php74-pgsql 7.4.27-7
php74-phar 7.4.27-7
php74-phpdbg 7.4.27-7
php74-posix 7.4.27-7
php74-pspell 7.4.27-7
php74-redis 5.3.6-1
php74-shmop 7.4.27-7
php74-simplexml 7.4.27-7
php74-snmp 7.4.27-7
php74-soap 7.4.27-7
php74-sockets 7.4.27-7
php74-sodium 7.4.27-7
php74-sqlite 7.4.27-7
php74-swoole 4.8.6-1
php74-sysvmsg 7.4.27-7
php74-sysvsem 7.4.27-7
php74-sysvshm 7.4.27-7
php74-tidy 7.4.27-7
php74-tokenizer 7.4.27-7
php74-xdebug 3.1.3-1
php74-xml 7.4.27-7
php74-xmlreader 7.4.27-7
php74-xmlwriter 7.4.27-7
php74-xsl 7.4.27-7
php74-zip 7.4.27-7
php80 8.0.15-4
php80-apache 8.0.15-4
php80-bcmath 8.0.15-4
php80-bz2 8.0.15-4
php80-calendar 8.0.15-4
php80-cgi 8.0.15-4
php80-cli 8.0.15-4
php80-ctype 8.0.15-4
php80-curl 8.0.15-4
php80-dba 8.0.15-4
php80-dblib 8.0.15-4
php80-dom 8.0.15-4
php80-embed 8.0.15-4
php80-enchant 8.0.15-4
php80-exif 8.0.15-4
php80-ffi 8.0.15-4
php80-fileinfo 8.0.15-4
php80-firebird 8.0.15-4
php80-fpm 8.0.15-4
php80-ftp 8.0.15-4
php80-gd 8.0.15-4
php80-gettext 8.0.15-4
php80-gmp 8.0.15-4
php80-iconv 8.0.15-4
php80-imagick 3.7.0-1
php80-imap 8.0.15-4
php80-intl 8.0.15-4
php80-ldap 8.0.15-4
php80-mbstring 8.0.15-4
php80-mysql 8.0.15-4
php80-odbc 8.0.15-4
php80-opcache 8.0.15-4
php80-openssl 8.0.15-4
php80-pcntl 8.0.15-4
php80-pdo 8.0.15-4
php80-pear 8.0.15-4
php80-pecl 8.0.15-4
php80-pgsql 8.0.15-4
php80-phar 8.0.15-4
php80-phpdbg 8.0.15-4
php80-posix 8.0.15-4
php80-pspell 8.0.15-4
php80-redis 5.3.6-1
php80-shmop 8.0.15-4
php80-simplexml 8.0.15-4
php80-snmp 8.0.15-4
php80-soap 8.0.15-4
php80-sockets 8.0.15-4
php80-sodium 8.0.15-4
php80-sqlite 8.0.15-4
php80-swoole 4.8.6-1
php80-sysvmsg 8.0.15-4
php80-sysvsem 8.0.15-4
php80-sysvshm 8.0.15-4
php80-tidy 8.0.15-4
php80-tokenizer 8.0.15-4
php80-xdebug 3.1.3-1
php80-xml 8.0.15-4
php80-xmlreader 8.0.15-4
php80-xmlwriter 8.0.15-4
php80-xsl 8.0.15-4
php80-zip 8.0.15-4
php81 8.1.2-4
php81-apache 8.1.2-4
php81-bcmath 8.1.2-4
php81-bz2 8.1.2-4
php81-calendar 8.1.2-4
php81-cgi 8.1.2-4
php81-cli 8.1.2-4
php81-ctype 8.1.2-4
php81-curl 8.1.2-4
php81-dba 8.1.2-4
php81-dblib 8.1.2-4
php81-dom 8.1.2-4
php81-embed 8.1.2-4
php81-enchant 8.1.2-4
php81-exif 8.1.2-4
php81-ffi 8.1.2-4
php81-fileinfo 8.1.2-4
php81-firebird 8.1.2-4
php81-fpm 8.1.2-4
php81-ftp 8.1.2-4
php81-gd 8.1.2-4
php81-gettext 8.1.2-4
php81-gmp 8.1.2-4
php81-iconv 8.1.2-4
php81-imagick 3.7.0-1
php81-imap 8.1.2-4
php81-intl 8.1.2-4
php81-ldap 8.1.2-4
php81-mbstring 8.1.2-4
php81-mysql 8.1.2-4
php81-odbc 8.1.2-4
php81-opcache 8.1.2-4
php81-openssl 8.1.2-4
php81-pcntl 8.1.2-4
php81-pdo 8.1.2-4
php81-pear 8.1.2-4
php81-pecl 8.1.2-4
php81-pgsql 8.1.2-4
php81-phar 8.1.2-4
php81-phpdbg 8.1.2-4
php81-posix 8.1.2-4
php81-pspell 8.1.2-4
php81-redis 5.3.6-1
php81-shmop 8.1.2-4
php81-simplexml 8.1.2-4
php81-snmp 8.1.2-4
php81-soap 8.1.2-4
php81-sockets 8.1.2-4
php81-sodium 8.1.2-4
php81-sqlite 8.1.2-4
php81-swoole 4.8.6-1
php81-sysvmsg 8.1.2-4
php81-sysvsem 8.1.2-4
php81-sysvshm 8.1.2-4
php81-tidy 8.1.2-4
php81-tokenizer 8.1.2-4
php81-xdebug 3.1.3-1
php81-xml 8.1.2-4
php81-xmlreader 8.1.2-4
php81-xmlwriter 8.1.2-4
php81-xsl 8.1.2-4
php81-zip 8.1.2-4

Dunno why you have issues with these packages

el_aur commented on 2022-02-03 20:43 (UTC)

@tpreissler repo is optional stuff who doesn't want to build manually :)

tpreissler commented on 2022-02-02 09:29 (UTC)

Sorry, I am not sure why there is a separate repository now required.

In my case, my original Arch package for "composer" has a dependency on "php". If that repository is built from the same PKGBUILD, then they won't work for me either way.

I had added a "provides=php" and recompiled, then I was able to upgrade them just fine and my composer is happy, too.

el_aur commented on 2022-02-02 09:14 (UTC) (edited on 2022-02-04 11:29 (UTC) by el_aur)

Created binary repository on build.opensuse.org

https://build.opensuse.org/project/show/home:el:archphp

For Arch Linux, edit /etc/pacman.conf and add the following (note that the order of repositories in pacman.conf is important, since pacman always downloads the first found package):

[home_el_archphp_Arch]
Server = https://download.opensuse.org/repositories/home:/el:/archphp/Arch/$arch

Then run the following as root

key=$(curl -fsSL https://download.opensuse.org/repositories/home:el:archphp/Arch/$(uname -m)/home_el_archphp_Arch.key)
fingerprint=$(gpg --quiet --with-colons --import-options show-only --import --fingerprint <<< "${key}" | awk -F: '$1 == "fpr" { print $10 }')
pacman-key --init
pacman-key --add - <<< "${key}"
pacman-key --lsign-key "${fingerprint}"

Refresh packages database

pacman -Syy

Now search for php packages you need:

pacman -Ss php73

Install with pacman -S packages you need or all PHP 7.3 packages with:

sudo pacman -S $(pacman -Ssq | grep '^php73')

tpreissler commented on 2022-02-02 09:02 (UTC)

@el_aur: I am using

extra/composer 2.2.5-1 [installed]

el_aur commented on 2022-02-01 15:50 (UTC)

@tpreissler which exactly composer package are you using?

tpreissler commented on 2022-02-01 09:33 (UTC)

Thank you, el_aur.

el_aur commented on 2022-02-01 08:43 (UTC)

Updated build. Disabled failing test and sendmail check

tpreissler commented on 2022-01-31 09:47 (UTC) (edited on 2022-01-31 09:48 (UTC) by tpreissler)

Sorry for the spam:

Adding provides=('php')

just before depends=( or in a similar place at the top of the PKGBUILD fixes the below "php" dependency I had and upgrading works like a breeze.

tpreissler commented on 2022-01-31 09:27 (UTC)

Not sure what I am not getting here:

▶ sudo pacman -U php73-7.3.33-6-x86_64.pkg.tar.xz php73-fpm-7.3.33-6-x86_64.pkg.tar.xz php73-cli-7.3.33-6-x86_64.pkg.tar.xz loading packages... resolving dependencies... looking for conflicting packages... error: failed to prepare transaction (could not satisfy dependencies) :: installing php73 (7.3.33-6) breaks dependency 'php' required by composer

I have installed

local/php73 7.3.33-1 A general-purpose scripting language that is especially suited to web development local/php73-fpm 7.3.33-1 FastCGI Process Manager for PHP

Seems to me this AUR package doesn't provide a "php" dependency. Seems like I got to upgrade to PHP 7.4 anyway - I have a dependency to another server (and OS) running a patched PHP 7.3.

PHP 7.3 is EOL: https://www.php.net/supported-versions.php. I guess that should encourage me to move to a supported version.

tpreissler commented on 2022-01-31 09:10 (UTC)

@dklymenk I have managed to build it now. I changed line 658 in PKGBUILD from

sapi/cli/php -n -r 'echo ini_get("sendmail_path");' | grep -q '/usr/bin/sendmail'

to

sapi/cli/php -n -r 'echo ini_get("sendmail_path");' | egrep -q '^(/usr/bin|/sbin|/bin)/sendmail.*'

And it builds cleanly for my Postfix system.

I agree, I do not understand either why it requires this check for correct sendmail configuration, after all, we're only building the package. I cannot find any reference to FS#47600 anywhere, as the comment just before says.

@el_aur Can you incorporate the above please? I am not a maintainer and getting commit access these days is rather tedious - I have tried on another package some weeks back and didn't get anywhere/or contributor doc isn't up2date anymore.

dklymenk commented on 2022-01-30 11:20 (UTC)

@tpreissler

Yes, I also have postfix installed and as you mentioned earlier, it does provide sendmail.

$ pacman -Qo /usr/bin/sendmail
/usr/bin/sendmail is owned by postfix 3.6.4-1

It did not occur to me that this error has anything to do with sendmail. It seems pretty weird to me that a test would rely on sendmail. Did you manage to solve this issue?

tpreissler commented on 2022-01-29 14:30 (UTC) (edited on 2022-01-29 14:33 (UTC) by tpreissler)

@dklymenk

That's the same error I had. Which mailer, postfix, Exim etc do you have installed and does it provide (/user/bin or /sbin)/sendmail?

dklymenk commented on 2022-01-29 13:30 (UTC)

Hello, I am unable to update this package. It builds successfully but seems to pass a test that is expected to fail. All other package on my system are up-to-date.

=====================================================================
EXPECTED FAILED TEST SUMMARY
---------------------------------------------------------------------
Test open_basedir configuration [tests/security/open_basedir_linkinfo.phpt]  XFAIL REASON: BUG: open_basedir cannot delete symlink to prohibited file. See also
bugs 48111 and 52176.
Inconsistencies when accessing protected members [Zend/tests/access_modifiers_008.phpt]  XFAIL REASON: Discussion: http://marc.info/?l=php-internals&m=120221184420957&w=2
Inconsistencies when accessing protected members - 2 [Zend/tests/access_modifiers_009.phpt]  XFAIL REASON: Discussion: http://marc.info/?l=php-internals&m=120221184420957&w=2
Bug #48770 (call_user_func_array() fails to call parent from inheriting class) [Zend/tests/bug48770.phpt]  XFAIL REASON: See Bug #48770
Bug #48770 (call_user_func_array() fails to call parent from inheriting class) [Zend/tests/bug48770_2.phpt]  XFAIL REASON: See
Bug #48770
Bug #48770 (call_user_func_array() fails to call parent from inheriting class) [Zend/tests/bug48770_3.phpt]  XFAIL REASON: See
Bug #48770
Initial value of static var in method depends on the include time of the class definition [Zend/tests/method_static_var.phpt]
XFAIL REASON: Maybe not a bug
=====================================================================

=====================================================================
FAILED TEST SUMMARY
---------------------------------------------------------------------
Bug #79919 (Stack use-after-scope in define()) [Zend/tests/bug79919.phpt]
=====================================================================
make: *** [Makefile:314: test] Error 1
==> ERROR: A failure occurred in check().
    Aborting...
 -> error making: php73 (php73 php73-cli)

tpreissler commented on 2022-01-28 12:07 (UTC)

yes:

▶ pacman -Ql postfix | grep sendmail postfix /usr/bin/sendmail

el_aur commented on 2022-01-28 11:21 (UTC)

@tpreissler does it provide /usr/bin/sendmail or /sbin/sendmail binary?

tpreissler commented on 2022-01-27 21:39 (UTC)

I have postfix installed on my system.

el_aur commented on 2022-01-27 12:08 (UTC) (edited on 2022-01-27 15:18 (UTC) by el_aur)

Read Carefully! Breaking changes in compare with native PHP package

  1. Console version /usr/bin/php73 is installed with php73-cli subpackage, php73 doesn't include it anymore!!!

  2. PEAR and PECL are available as php73-pear and php73-pecl subpackages

  3. All shared modules are respresented as stand-alone subpackages and are not included with php73 package anymore.

  4. No more extensions in php.ini itself!

Separate INI files for each extension are placed in /etc/php73/conf.d

They are loaded in correct order according to priority

el_aur commented on 2022-01-26 13:24 (UTC) (edited on 2022-01-26 13:26 (UTC) by el_aur)

@tpreissler package requires smtp-forwarder, AFAIK there are several packages providing it. which one is installed in your system? I tested packages in clean chroot build using extra-x86_64-build and it was ok

el_aur commented on 2022-01-26 13:22 (UTC) (edited on 2022-01-26 13:26 (UTC) by el_aur)

@neoire yes. It's intended. I splitted to SAPI subpackages. Idea is that you might not always need CLI version of PHP, sometimes only Apache or FPM.

tpreissler commented on 2022-01-26 12:42 (UTC) (edited on 2022-01-26 12:44 (UTC) by tpreissler)

Many thanks for updating this and maintaining this package.

When yay -Syu on my machine ran automatically during the night I got this error (taken from Ansible/ara output):

    "Build complete.",
    "Don't forget to run 'make test'.",
    "",
    "~/.cache/yay/php73/src",
    "==> Starting check()...",
    "~/.cache/yay/php73/src/build-cli ~/.cache/yay/php73/src",
    "removing untracked AUR files from cache...",
    ":: \u001b[1mCleaning (1/1): /home/tomtom/.cache/yay/php73\u001b[0m",
    "Removing php-7.3.33.tar.xz"

And I can confirm this by a manual compilation locally. Also downloading the snapshot from here showed the same error.

I took a wild guess and ran

sapi/cli/php -n -r 'echo ini_get("sendmail_path");' | grep -q '/usr/bin/sendmail'

from the check() in the right directory - and it finished with an EC of 1. After commenting this line out makepkg -sfc runs fine now and it has compiled all just fine.

neoire commented on 2022-01-26 05:54 (UTC)

For those coming here because php command is gone after the latest update, one must now install php73-cli separately. @el_aur is this intended?

el_aur commented on 2022-01-25 10:13 (UTC)

@Teddytrombone should be working fine now. Implemented new PKGBUILD

Teddytrombone commented on 2021-12-01 09:19 (UTC)

With ICU 70.1 build for me is broken:

php-7.3.33/ext/intl/breakiterator/codepointiterator_internal.h:42:31: error: conflicting return type specified for 'virtual UBool PHP::CodePointBreakIterator::operator==(const icu_70::BreakIterator&) const'
42 |                 virtual UBool operator==(const BreakIterator& that) const;
   |

I got it working again by applying this patch from Gentoo: https://gitweb.gentoo.org/repo/gentoo.git/plain/dev-lang/php/files/php-icu-70.patch

shahi commented on 2021-08-28 13:34 (UTC)

@vitiok78 @matth

when I try to update from Manjaro GUI it failed with error status

Error: Failed to prepare transaction: target not found: php73

Then I just only try to build php73 from terminal and it built successfully. Then I build the php73-apache php73-cgi php73-fpm.

It worked.

vitiok78 commented on 2021-08-27 06:58 (UTC)

@shahi

I didn't solve it and put the project in Docker

shahi commented on 2021-08-27 05:09 (UTC) (edited on 2021-08-27 05:14 (UTC) by shahi)

I am also facing the same problem as @vitiok78.

Error: Failed to prepare transaction: target not found: php73

How to solved it?

matth commented on 2021-08-03 18:20 (UTC)

@vitiok78

I don't know what that error would mean. It builds just fine for me in a clean chroot with extra-x86_64-build

vitiok78 commented on 2021-08-03 03:35 (UTC)

Can't update to the latest version

Error: Failed to prepare transaction: target not found: php73

Renfield commented on 2021-07-09 11:28 (UTC)

I found a problem in check(), where it is looking for /usr/bin/sendmail. My path has /bin first, and so /bin/sendmail is found, which does not match the grep. I looked for any documentation suggesting that /usr/bin should be before /bin, and could not find anything. I've had this for probably decades. I think it should be okay to just grep for /bin/sendmail. postfix puts sendmail in both locations.

matth commented on 2021-04-28 18:17 (UTC) (edited on 2021-04-28 18:19 (UTC) by matth)

tunght13488 and jonquan

You just need to rebuild your php73 package so it builds against your installed icu version. https://wiki.archlinux.org/index.php/Arch_User_Repository#Installing_and_upgrading_packages

Quote from the wiki:

If packages in the official repositories are updated, you will need to rebuild any AUR packages that depend on those libraries.

jonquan commented on 2021-04-27 02:54 (UTC) (edited on 2021-04-27 02:55 (UTC) by jonquan)

tunght13488 I have the same issue as you.

[jon@archlinux ~]$ php73
PHP Warning:  PHP Startup: Unable to load dynamic library 'intl' (tried: /usr/lib/php73/modules/intl (/usr/lib/php73/modules/intl: cannot open shared object file: No such file or directory), /usr/lib/php73/modules/intl.so (/usr/lib/php73/modules/intl.so: undefined symbol: _ZTIN6icu_6817StringEnumerationE)) in Unknown on line 0

tunght13488 commented on 2021-04-26 07:36 (UTC)

Broken after icu-69.1-1. I can't figure out how to downgrade without breaking the system. Symlink to .69 files won't work. Any help is much appreciated

matth commented on 2021-02-28 18:02 (UTC)

brackenhill-mob I'm not sure what would be causing that error. The package builds just fine in a clean chroot for me using extra-x86_64-build

brackenhill-mob commented on 2021-02-28 17:04 (UTC) (edited on 2021-02-28 17:08 (UTC) by brackenhill-mob)

I'm getting a build error in /home/arch/.cache/yay/php73/src/php-7.3.27/ext/fileinfo/libmagic/apprentice.c

    {standard input}: Assembler messages:
    {standard input}:3946: Warning: end of file not at end of a line; newline inserted
    {standard input}:5550: Error: no such instruction: `j'
    {standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
    cc: fatal error: Killed signal terminated program cc1
    compilation terminated.
    make: *** [Makefile:1011: ext/fileinfo/libmagic/apprentice.lo] Error 1
    ==> ERROR: A failure occurred in build().
        Aborting...

Any chance of a fix? I'm migrating a invoicing package which is built against PHP7.3 from an Ubuntu server and my company needs this urgently

TIA

matth commented on 2021-01-14 21:21 (UTC)

@yolosan It looks like you don't have gpg configured to use a keyserver.

You can use something like

gpg --keyserver pool.sks-keyservers.net --receive-keys D66C9593118BCCB6

yolosan commented on 2021-01-14 12:15 (UTC) (edited on 2021-01-14 13:44 (UTC) by yolosan)

Hi. I'm getting the following error:

==> Validating source files with sha256sums...
    php-7.3.26.tar.xz ... Passed
    php-7.3.26.tar.xz.asc ... Skipped
    apache.patch ... Passed
    apache.conf ... Passed
    php-fpm.patch ... Passed
    php-fpm.tmpfiles ... Passed
    php.ini.patch ... Passed
    enchant-2.patch ... Passed
    freetype.patch ... Passed
==> Verifying source file signatures with gpg...
    php-7.3.26.tar.xz ... FAILED (unknown public key D66C9593118BCCB6)
==> ERROR: One or more PGP signatures could not be verified!
:: Unable to build php73 - makepkg exited with code: 1

Doing

$ gpg --recv-key D66C9593118BCCB6
gpg: keyserver receive failed: No name

cdo commented on 2020-04-19 19:42 (UTC)

Thanks for this package. It builds perfectly fine on armv7h. Do you mind adding this architecture to the PKGBUILD?

berturion commented on 2020-03-09 09:51 (UTC)

Thank you @tompear, it is solved after rebuild.

tompear commented on 2020-03-09 07:18 (UTC)

Just rebuild php73-imagick. In most cases it will resolve the problem.

berturion commented on 2020-03-08 16:07 (UTC) (edited on 2020-03-08 16:07 (UTC) by berturion)

Just to let you know, since version upgrade of ImageMagick in the arch repo, I have this warning :

PHP Warning:  Version warning: Imagick was compiled against ImageMagick version 1801 but version 1802 is loaded. Imagick will run but may behave surprisingly
extra/imagemagick                    7.0.9.27-1        7.0.10.0-1

berturion commented on 2020-03-03 11:08 (UTC)

Ok, thank you @tompear, I did not understand, it is clear now :)

tompear commented on 2020-03-03 07:38 (UTC)

Once again, 'smtp-forwarder' in case of install will give you a choice what package to install: esmtp, exim, msmtp-mta, nullmailer, opensmtpd or postfix. Any of it will fill the dependency so PKGBUILD must not point directly to postfix nor exim.

So all you need to do is clone package repo, edit PKGBUILD and change postfix to whatever you want and run makepkg -si.

berturion commented on 2020-03-02 10:32 (UTC)

@tompear about postfix dependency, I had to replace my existing exim installation with postfix in order to install php73. My problem is solved because my installation is very simple but that could cause some problem for others that don't have the choice of keeping exim (configuration of such a software is quiet difficult). Is it possible to accept exim as the mailer dependency?

tompear commented on 2020-03-02 08:27 (UTC)

@takit php73 doesnt depends directly on mariadb-libs but postfix (as php73 dependency) does. In fact postfix can by replaced by smtp-forwarder. There are some packages providing this functionality to choose from. I am using nullmailer.

tompear commented on 2020-02-28 14:45 (UTC)

PHP 7.3.15 released.

takit commented on 2020-02-27 03:19 (UTC)

Why php73 depends on mariadb-libs, while php72 doesn't? Is there a way to fix it? :: mariadb-libs and libmysqlclient57 are in conflict (libmariadbclient). Remove libmysqlclient57?

Dimmi commented on 2020-02-10 22:39 (UTC)

Why provides "php73-ldap", not "php"?

berturion commented on 2020-01-25 19:42 (UTC)

Awesome package, thanks a lot.

tompear commented on 2020-01-24 09:56 (UTC)

PHP 7.3.14 released.

debitux commented on 2020-01-20 11:38 (UTC)

Thanks, that worked!

tompear commented on 2020-01-20 09:34 (UTC)

You must import the key.

I do not know which AUR helper you are using but executing in shell as an user:

gpg --recv-keys D66C9593118BCCB6

should resolve your problem.

debitux commented on 2020-01-19 17:49 (UTC)

I'm struggling with a signing error: php-7.3.13.tar.xz ... FAILED (unknown public key D66C9593118BCCB6) Am I missing anything for this?

tompear commented on 2020-01-07 09:00 (UTC) (edited on 2020-01-07 09:01 (UTC) by tompear)

As far as I know it is impossible to run two different versions of PHP apache module with one apache instance at once.

So the only error i can see is in "/etc/httpd/conf/extra/php73_module.conf". There is "<IfModule php73_module>" and this must be change to "<IfModule php7_module>" if you want this to work.

In main apache conf file there is definition of this module pointing to correct .so file to load: "LoadModule php7_module modules/libphp73.so".

matth commented on 2020-01-03 14:57 (UTC)

I've added php73-imagick and php73-redis as separate packages now.

@axolotl that might be a good idea for better Apache support, but I'm not sure what should be done to make those changes. I haven't used Apache in about 10 years so I'm not very familiar with the config anymore.

If anyone has any specific code changes to the PKGBUILD to handle that, feel free to share them and I'll add them in.

emphire commented on 2020-01-03 02:53 (UTC)

Any chance you could add php73-imagick and php73-redis?

arnottcr commented on 2020-01-02 06:32 (UTC)

While trying to get this working (with httpd), I came across a few things that would be worth including in the package: - The aforementioned LoadModule fix. - Not really sure where to put this, but there should be a conf.d somewhere? - The aforementioned ExecStart fix. - /etc/httpd/conf/extra/php73_module.conf incorrectly references the non-existent php73_module, changing this to php7_module works like a charm. - If we want to allow users to run 7.4 and 7.3 in httpd, maybe the .so file should reference php73_module?

Kalinda commented on 2020-01-01 04:00 (UTC)

That did the trick, thanks!

matth commented on 2020-01-01 02:52 (UTC)

I haven't used Apache in a long time, but I believe you should be able to load it with:

LoadModule php7_module modules/libphp73.so

Kalinda commented on 2019-12-31 23:54 (UTC)

Hello,

Not sure if I'm doing something wrong, but when I try to use the php73 module for Apache, it won't start and I get this error:

httpd: Syntax error on line 190 of /etc/httpd/conf/httpd.conf: Can't locate API module structure `php73_module' in file /etc/httpd/modules/libphp73.so: /etc/httpd/modules/libphp73.so: /etc/httpd/modules/libphp73.so: undefined symbol: php73_module

Any help would be appreciated, thanks!

matth commented on 2019-12-30 16:30 (UTC)

Thanks for the report on php-fpm @tompear I've gone ahead and updated the systemd service file so it points to the correct php-fpm73 binary.

@xchoice it looks like @tompear has created a php73-apcu package so all set there. I don't use apcu myself, so I'm glad someone else grabbed that.

tompear commented on 2019-12-30 12:04 (UTC) (edited on 2019-12-30 12:04 (UTC) by tompear)

For php-fpm users: binary file is /usr/bin/php-fpm73 but in /usr/lib/systemd/system/php73-fpm.service there is:

"ExecStart=/usr/bin/php-fpm --nodaemonize --fpm-config /etc/php73/php-fpm.conf"

So it's nessesery to manually change this line to work.

Thanks to the maintainer.

xchoice commented on 2019-12-29 19:08 (UTC)

Thanks you so much for this one. Can you make apcu available too?

blum commented on 2019-12-27 08:13 (UTC)

God bless you, merry christmas! (Or whatever you like to celebrate :))